Package tigase.vhosts.filter

## Enum Rule.RuleType

- java.lang.Object
- - java.lang.Enum<Rule.RuleType>
  - - tigase.vhosts.filter.Rule.RuleType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Rule.RuleType>`
  Enclosing class:
    Rule

      public static enum Rule.RuleType
      extends java.lang.Enum<Rule.RuleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `all` |
    `domain` |
    `jid` |
    `self` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Rule.RuleType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Rule.RuleType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### jid

          public static final Rule.RuleType jid

    - #### self

          public static final Rule.RuleType self

    - #### domain

          public static final Rule.RuleType domain

    - #### all

          public static final Rule.RuleType all

  - ### Method Detail

    - #### values

          public static Rule.RuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rule.RuleType c : Rule.RuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rule.RuleType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null